RESTinio

Static Public Attributes | List of all members
restinio::utils::metaprogramming::impl::all_of< Predicate, H > Struct Template Reference

`#include <metaprogramming.hpp>`

## Static Public Attributes
static constexpr bool | value = Predicate<H>::value

## Detailed Description

template<template< class... > class Predicate, typename H>
struct restinio::utils::metaprogramming::impl::all_of< Predicate, H >

Definition at line 284 of file metaprogramming.hpp.

## Member Data Documentation

## ◆ value

template<template< class... > class Predicate, typename H >

constexpr bool restinio::utils::metaprogramming::impl::all_of< Predicate, H >::value = Predicate<H>::value
| static constexpr

Definition at line 286 of file metaprogramming.hpp.

The documentation for this struct was generated from the following file:

- restinio/utils/metaprogramming.hpp